[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBExtCtrls' (#lcl)

# TDBDateEdit.EditExit

Performs actions needed when the exiting the control.

## Declaration

Source position: dbextctrls.pp line 52

`protected procedure TDBDateEdit.EditExit; override;`

## Description

EditExit is an overridden procedure performs actions needed when the exiting the control. EditExit calls the inherited method. EditExit ensures that the value in the control is applied to DataLink. When Editing is set in DataLink, its UpdateRecord method is called to apply the new value. If Editing is not set, its Reset method is called restore its value and state.

## See also

TFieldDataLink |  | Maintains an association between a control, an action, and a field in a linked dataset.
TFieldDataLink.Editing |  | True if the linked field is being edited.
TFieldDataLink.Reset |  | Checks whether the link is active, calls the OnDataChange event handler then sets IsModified to False.